# PhasicFlow: contactSearch Class Reference

contactSearch Class Referenceabstract
Inheritance diagram for contactSearch:
[legend]
Collaboration diagram for contactSearch:
[legend]

## Public Types

using | IdType = typename interactionBase::IdType
using | IndexType = typename interactionBase::IndexType
using | ExecutionSpace = typename interactionBase::ExecutionSpace
using | PairContainerType = unsortedPairs< ExecutionSpace, IdType >
Public Types inherited from interactionBase
using | IndexType = CELL_INDEX_TYPE
using | IdType = ID_TYPE
using | ExecutionSpace = DefaultExecutionSpace

## Public Member Functions

| TypeInfo ("contactSearch")
| contactSearch (const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers)
virtual | ~contactSearch ()=default
| create_vCtor (contactSearch, dictionary,(const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers),(dict, domain, prtcl, geom, timers))
const auto & | domain () const
const auto & | dict () const
virtual bool | broadSearch (PairContainerType &ppPairs, PairContainerType &pwPairs, bool force=false)=0
virtual bool | ppEnterBroadSearch () const =0
virtual bool | pwEnterBroadSearch () const =0
virtual bool | ppPerformedBroadSearch () const =0
virtual bool | pwPerformedBroadSearch () const =0
Public Member Functions inherited from interactionBase
| interactionBase (const particles &prtcl, const geometry &geom)
const auto & | pStruct () const
const auto & | surface () const
const auto & | Particles () const
auto & | Geometry () const

## Static Public Member Functions

static uniquePtr< contactSearch > | create (const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers)

## Protected Member Functions

auto & | dict ()

## Protected Attributes

const box & | domain_
dictionary | dict_
Timer | sphereSphereTimer_
Timer | sphereWallTimer_
Protected Attributes inherited from interactionBase
const particles & | particles_
const geometry & | geometry_

## Detailed Description

Definition at line 35 of file contactSearch.hpp.

## Member Typedef Documentation

## IdType

using IdType = typename interactionBase::IdType

Definition at line 40 of file contactSearch.hpp.

## IndexType

using IndexType = typename interactionBase::IndexType

Definition at line 42 of file contactSearch.hpp.

## ExecutionSpace

using ExecutionSpace = typename interactionBase::ExecutionSpace

Definition at line 44 of file contactSearch.hpp.

## PairContainerType

using PairContainerType = unsortedPairs<ExecutionSpace, IdType>

Definition at line 46 of file contactSearch.hpp.

## Constructor & Destructor Documentation

## contactSearch()

contactSearch | ( | const dictionary & | dict,
|  | const box & | domain,
|  | const particles & | prtcl,
|  | const geometry & | geom,
|  | Timers & | timers
| ) |  |

Definition at line 25 of file contactSearch.cpp.

## ~contactSearch()

virtual ~contactSearch | ( |  | ) |

virtualdefault

## Member Function Documentation

## dict() [1/2]

auto& dict | ( |  | ) |

inlineprotected

Definition at line 58 of file contactSearch.hpp.

References contactSearch::dict_.

Referenced by ContactSearch< BaseMethod, WallMapping >::ContactSearch().

Here is the caller graph for this function:

## TypeInfo()

TypeInfo | ( | "contactSearch" |  | ) |

## create_vCtor()

create_vCtor | ( | contactSearch | ,
|  | dictionary | ,
|  | (const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers) | ,
|  | (dict, domain, prtcl, geom, timers) |
| ) |  |

## domain()

const auto& domain | ( |  | ) | const

inline

Definition at line 91 of file contactSearch.hpp.

References contactSearch::domain_.

Referenced by ContactSearch< BaseMethod, WallMapping >::ContactSearch().

Here is the caller graph for this function:

## dict() [2/2]

const auto& dict | ( |  | ) | const

inline

Definition at line 96 of file contactSearch.hpp.

References contactSearch::dict_.

## broadSearch()

virtual bool broadSearch | ( | PairContainerType & | ppPairs,
|  | PairContainerType & | pwPairs,
|  | bool | force = `false`
| ) |  |

pure virtual

## ppEnterBroadSearch()

virtual bool ppEnterBroadSearch | ( |  | ) | const

pure virtual

Implemented in ContactSearch< BaseMethod, WallMapping >.

## pwEnterBroadSearch()

virtual bool pwEnterBroadSearch | ( |  | ) | const

pure virtual

Implemented in ContactSearch< BaseMethod, WallMapping >.

## ppPerformedBroadSearch()

virtual bool ppPerformedBroadSearch | ( |  | ) | const

pure virtual

Implemented in ContactSearch< BaseMethod, WallMapping >.

## pwPerformedBroadSearch()

virtual bool pwPerformedBroadSearch | ( |  | ) | const

pure virtual

Implemented in ContactSearch< BaseMethod, WallMapping >.

## create()

pFlow::uniquePtr< pFlow::contactSearch > create | ( | const dictionary & | dict,
|  | const box & | domain,
|  | const particles & | prtcl,
|  | const geometry & | geom,
|  | Timers & | timers
| ) |  |

static

Definition at line 42 of file contactSearch.cpp.

References pFlow::angleBracketsNames2(), endREPORT, fatalError, fatalExit, dictionary::getVal(), greenText, pFlow::printKeys(), and REPORT.

Here is the call graph for this function:

## Member Data Documentation

## domain_

const box& domain_

protected

Definition at line 50 of file contactSearch.hpp.

Referenced by contactSearch::domain().

## dict_

dictionary dict_

protected

Definition at line 52 of file contactSearch.hpp.

Referenced by contactSearch::dict().

## sphereSphereTimer_

Timer sphereSphereTimer_

protected

Definition at line 54 of file contactSearch.hpp.

Referenced by ContactSearch< BaseMethod, WallMapping >::broadSearch().

## sphereWallTimer_

Timer sphereWallTimer_

protected

Definition at line 56 of file contactSearch.hpp.

Referenced by ContactSearch< BaseMethod, WallMapping >::broadSearch().

The documentation for this class was generated from the following files:

- src/Interaction/contactSearch/contactSearch/contactSearch.hpp
- src/Interaction/contactSearch/contactSearch/contactSearch.cpp